DoubleRange (Lucene 10.5.1 facet API)
Description: declaration: package: org.apache.lucene.facet.rangeonrange, class: DoubleRange

Package org.apache.lucene.facet.rangeonrange

# Class DoubleRange

java.lang.Object
org.apache.lucene.facet.rangeonrange.Range
org.apache.lucene.facet.rangeonrange.DoubleRange

public class DoubleRange extends Range
Represents a double range for RangeOnRange faceting

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final double[]`
  `max`
  Maximum (inclusive).
  `final double[]`
  `min`
  Minimum (inclusive).

  ### Fields inherited from class org.apache.lucene.facet.rangeonrange.Range

  `dims, label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleRange(String label, double[] min, double[] max)`
  Represents a double range for RangeOnRange faceting
  `DoubleRange(String label, double minIn, boolean minInclusive, double maxIn, boolean maxInclusive)`
  Represents a double range for RangeOnRange faceting

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.lucene.facet.rangeonrange.Range

  `failNoMatch, getLabelsFromRanges`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### min

    public final double[] min
    Minimum (inclusive).

  - ### max

    public final double[] max
    Maximum (inclusive).

- ## Constructor Details

  - ### DoubleRange

    public DoubleRange(String label, double minIn, boolean minInclusive, double maxIn, boolean maxInclusive)
    Represents a double range for RangeOnRange faceting
    Parameters:
      `label` - the name of the range
      `minIn` - the minimum
      `minInclusive` - if the minimum is inclusive
      `maxIn` - the maximum
      `maxInclusive` - if the maximum is inclusive

  - ### DoubleRange

    public DoubleRange(String label, double[] min, double[] max)
    Represents a double range for RangeOnRange faceting
    Parameters:
      `label` - the name of the range
      `min` - the minimum, inclusive
      `max` - the maximum, inclusive

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`